Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class BusinessServiceTemplate

    java.lang.Object
      com.tibco.bpm.web.client.model.types.BusinessServiceTemplate

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, IBusinessServiceTemplate

    public class BusinessServiceTemplate

extends java.lang.Object
implements IBusinessServiceTemplate, com.google.gwt.user.client.rpc.IsSerializable

Constructor Summary
`BusinessServiceTemplate()`
`BusinessServiceTemplate(java.lang.String moduleName, java.lang.String processName, java.lang.String version)`
`BusinessServiceTemplate(java.lang.String moduleName, java.lang.String processName, java.lang.String version, java.lang.String category)`

Method Summary
`java.lang.String` | `getCategory()` Get the category of the Business Service.
`java.lang.String` | `getModuleName()` Get the module name for the Business Service.
`java.lang.String` | `getProcessName()` Get the process name for the Business Service.
`java.lang.String` | `getVersion()` Get the version for the Business Service.
`void` | `setModuleName(java.lang.String moduleName)`
`void` | `setProcessName(java.lang.String processName)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BusinessServiceTemplate

    public BusinessServiceTemplate()

### BusinessServiceTemplate

    public BusinessServiceTemplate(java.lang.String moduleName,
                                   java.lang.String processName,
                                   java.lang.String version)

### BusinessServiceTemplate

    public BusinessServiceTemplate(java.lang.String moduleName,
                                   java.lang.String processName,
                                   java.lang.String version,
                                   java.lang.String category)

Method Detail

### setModuleName

    public void setModuleName(java.lang.String moduleName)

### setProcessName

    public void setProcessName(java.lang.String processName)

### setVersion

    public void setVersion(java.lang.String version)

### getModuleName

    public java.lang.String getModuleName()

  Description copied from interface: `IBusinessServiceTemplate`
  Get the module name for the Business Service.

  Specified by:
    `getModuleName` in interface `IBusinessServiceTemplate`
  Returns:
    module name of the service.

### getProcessName

    public java.lang.String getProcessName()

  Description copied from interface: `IBusinessServiceTemplate`
  Get the process name for the Business Service.

  Specified by:
    `getProcessName` in interface `IBusinessServiceTemplate`
  Returns:
    process name for the service.

### getVersion

    public java.lang.String getVersion()

  Description copied from interface: `IBusinessServiceTemplate`
  Get the version for the Business Service.

  Specified by:
    `getVersion` in interface `IBusinessServiceTemplate`
  Returns:
    the version of the service.

### getCategory

    public java.lang.String getCategory()

  Description copied from interface: `IBusinessServiceTemplate`
  Get the category of the Business Service.

  Specified by:
    `getCategory` in interface `IBusinessServiceTemplate`
  Returns:
    the category of the service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.